Summary:        Utility to force unused ext2/3/4 inodes and blocks to zero
Name:           zerofree
Version:        1.1.1
Release:    1%{?dist}
License:        GPL-2.0-only
URL:            https://frippery.org/uml/
Source0:        https://frippery.org/uml/%{name}-%{version}.tgz
Source1:        https://frippery.org/uml/sparsify.c
Source2:        https://frippery.org/uml/index.html
Source3:        zerofree.sgml
Source4:        zerofree.8
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  e2fsprogs-devel

%description
zerofree is a utility to set unused filesystem inodes and blocks of an
ext2/3/4 filesystem to zero.  This can improve the compressibility and
privacy of an ext2/3/4 filesystem.

This tool was inspired by the ext2fs privacy (i.e. secure deletion)
patch described in a Linux kernel mailing list thread.

WARNING: The filesystem to be processed should be unmounted or mounted
read-only.  The tool tries to check this before running, but you
should be careful.

%prep
%setup -q
cp -p %{SOURCE1} %{SOURCE2} .

%build
make CC="%{__cc} $RPM_OPT_FLAGS $RPM_LD_FLAGS"
%{__cc} $RPM_OPT_FLAGS $RPM_LD_FLAGS -o sparsify sparsify.c -lext2fs

%install
install -D -p -m 755 zerofree %{buildroot}%{_sbindir}/zerofree
install -D -p -m 755 sparsify %{buildroot}%{_sbindir}/sparsify
install -D -p -m 644 %{SOURCE4} %{buildroot}%{_mandir}/man8/zerofree.8

%files
%license COPYING
%doc index.html
%{_sbindir}/zerofree
%{_sbindir}/sparsify
%{_mandir}/man8/zerofree.8*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-1
- initial build
